set -e

source /scripts/utils.sh

################################################################
# IAM policy dettach function Requires policy arn as an argument
################################################################

dettach_iam_policy() {
  print_header "Dettach IAM policy $1 from all the roles it is attached to"

  iam_roles_attached=$(aws iam list-entities-for-policy --policy-arn $1 | jq -r '.PolicyRoles [].RoleName')
  if [ -z $iam_roles_attached ]; then
    cprint "Policy $1 is not attached to any role"
  else
    cprint "Policy $1 is attached to the following roles: $iam_roles_attached"

    for role in ${iam_roles_attached}; do
      run_cmd aws iam detach-role-policy --role-name $role --policy-arn $1
      cprint "Role $role dettached ..."
    done
    print_header "IAM policy $1 has been dettached successfully from all the roles"
  fi
}
