#!/bin/sh

# This helper script will handle uninstalling athena workgroup
set -e

source /scripts/utils.sh

check_access ${appsNamespace} configmaps

print_header "Cleaning up kube resources"
arnConfigMapName=${namingPrefix}-arn
run_cmd  kubectl --namespace ${appsNamespace} delete configmap ${arnConfigMapName} --ignore-not-found
run_cmd  kubectl --namespace ${infraNamespace} delete configmap ${arnConfigMapName} --ignore-not-found

outputsConfigMapName=${namingPrefix}-outputs
run_cmd  kubectl --namespace ${appsNamespace} delete configmap ${outputsConfigMapName} --ignore-not-found
run_cmd  kubectl --namespace ${infraNamespace} delete configmap ${outputsConfigMapName} --ignore-not-found

print_header "Kubernetes outputs cleanup complete, use cloud custodian tool to delete AWS resources"
print_header "$0 done."
